import IteratorModule;

//////////////////////////////////////////////////////////////////////////////
// Collection interface. This interface defines the standard operation that
// are available in a collection object.
//////////////////////////////////////////////////////////////////////////////
public interface Collection(ValueType) {

   public bool add(ValueType val);
   public bool addAll(.Collection!(ValueType) col);
   public void clear();
   public bool contains(ValueType val);
   public bool containsAll(.Collection!(ValueType) col);
   public bool isEmpty();
   public Iterator!(ValueType) iterator();
   public bool remove(ValueType val);
   public bool removeAll(.Collection!(ValueType) col);
   public bool retainAll(.Collection!(ValueType) col);
   public int size();
   public ValueType[] toArray();
   public void toArray(ValueType[] array);

}

