import CollectionModule;

//////////////////////////////////////////////////////////////////////////////
// List interface. This interface defines the standard operation that are
// available in a list object.
//////////////////////////////////////////////////////////////////////////////
public interface List(ValueType) : Collection!(ValueType) {

   public void addAt(int index, ValueType val);
   public void addAllAt(int index, Collection!(ValueType) col);
   public ValueType get(int index);
   public int indexOf(ValueType val);
   public int lasIndexOf(ValueType val);
   public ValueType removeAt(int index);
   public ValueType set(int index, ValueType val);
   public .List!(ValueType) subList(int fromIndex, int toIndex);

}

